moBuyingStations = {};
source(MultiOverlayV3.modDir.."scripte/module/buyingStations/moBuyingStationsConfig.lua");

function moBuyingStations:update(dt)
	if moModule.active.buyingStationsSimple.isRunning then
		if moBuyingStations.values.updateTimer > 0 then
			if MultiOverlayV3.timers["updateBuyingStationSimple"] ~= nil then return;end;
			moSetGetExtras:addTimer( {delay=moBuyingStations.values.updateTimer, name="updateBuyingStationSimple", repeatable=1, ms=false, action=moBuyingStations.loadStations} ); 
		else
			moBuyingStations:loadStations();
		end;
	end;
end;

function moBuyingStations:loadStations()
	moBuyingStations:loadBuyingStations();	
end;

function moBuyingStations:loadBuyingStations()
	local playerFarmId = g_currentMission.player.farmId;	
	if moModule.buyingStations ~= nil and #moModule.buyingStations > 0 then
		local deleteObject = {};
		for index=1, #moModule.buyingStations do			
			if moModule.buyingStations[index] ~= nil then
				local isObject = moModule:isObject(moModule.buyingStations[index].object);
				if isObject then
				
				else
					table.insert(deleteObject, index);
				end;
			end;
		end;
		if #deleteObject > 0 then
			for _, index in pairs (deleteObject) do				
				table.remove(moModule.buyingStations, index);
			end;
			moModule:slotOutputCmd(true);
		end;
	end;
end;


